View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/samba
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
applied/ubuntu/gutsy-updates 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: ecf8d4b2d9e504a9db8789c5acc7a507f0c98a57
Unapplied parent: 7c162ce4bb773527058045f76cab014915c41d24

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/gutsy-devel 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: ecf8d4b2d9e504a9db8789c5acc7a507f0c98a57
Unapplied parent: 7c162ce4bb773527058045f76cab014915c41d24

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/hardy 2008-04-02 22:04:47 UTC 2008-04-02
Import patches-unapplied version 3.0.28a-1ubuntu4 to ubuntu/hardy

Author: Steve Langasek
Author Date: 2008-04-02 21:07:11 UTC

Import patches-unapplied version 3.0.28a-1ubuntu4 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 857b6dc04c5964a00451a09cf49909228e6e1195

New changelog entries:
  [ Mathias Gug ]
  * debian/samba-common.postinst:
    Fix upgrade from a first installation done with feisty, edgy or dapper.
    (LP: #201059).
  * debian/smb.conf.feisty:
    Add default smb.conf shipped in feisty.
  [ Steve Langasek ]
  * When populating the new sambashare group, it's not an error if the
    user simply doesn't exist; test for this case and let the install
    continue instead of aborting. LP: #206036.

applied/ubuntu/hardy 2008-04-02 22:04:47 UTC 2008-04-02
Import patches-applied version 3.0.28a-1ubuntu4 to applied/ubuntu/hardy

Author: Steve Langasek
Author Date: 2008-04-02 21:07:11 UTC

Import patches-applied version 3.0.28a-1ubuntu4 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: e6a3abb253f5ba6ed720fb6bb517c715c00d2a30
Unapplied parent: f14add597371575273c724a9e3f793e13249c5ea

New changelog entries:
  [ Mathias Gug ]
  * debian/samba-common.postinst:
    Fix upgrade from a first installation done with feisty, edgy or dapper.
    (LP: #201059).
  * debian/smb.conf.feisty:
    Add default smb.conf shipped in feisty.
  [ Steve Langasek ]
  * When populating the new sambashare group, it's not an error if the
    user simply doesn't exist; test for this case and let the install
    continue instead of aborting. LP: #206036.

applied/ubuntu/edgy-devel 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 5fdcc969a0aa9cf17fb0300182dde9aa4d15979b
Unapplied parent: ff5e06e5117d93979838264dfb76a9b3adf2cea6

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

ubuntu/edgy-devel 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 46cccae08cc89f890c0580c6c58aebdebd2a70e4

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

ubuntu/edgy-updates 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 46cccae08cc89f890c0580c6c58aebdebd2a70e4

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

ubuntu/edgy-security 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-unapplied version 3.0.22-1ubuntu4.5 to ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 46cccae08cc89f890c0580c6c58aebdebd2a70e4

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

applied/ubuntu/edgy-updates 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 5fdcc969a0aa9cf17fb0300182dde9aa4d15979b
Unapplied parent: ff5e06e5117d93979838264dfb76a9b3adf2cea6

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

applied/ubuntu/edgy-security 2007-12-18 18:06:43 UTC 2007-12-18
Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Author: Kees Cook
Author Date: 2007-12-15 01:30:50 UTC

Import patches-applied version 3.0.22-1ubuntu4.5 to applied/ubuntu/edgy-security

Imported using git-ubuntu import.

Changelog parent: 5fdcc969a0aa9cf17fb0300182dde9aa4d15979b
Unapplied parent: ff5e06e5117d93979838264dfb76a9b3adf2cea6

New changelog entries:
  * SECURITY UPDATE: remote code execution via GETDC mailslot request.
  * Add security-CVE-2007-6015.patch: thanks to Steve Langasek.
  * References
    CVE-2007-6015

ubuntu/gutsy 2007-10-04 07:03:35 UTC 2007-10-04
Import patches-unapplied version 3.0.26a-1ubuntu2 to ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-10-02 20:54:23 UTC

Import patches-unapplied version 3.0.26a-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3c9f5388d7deb4b2bfaaca4e651629ccbbcb842f

New changelog entries:
  * debian/patches/chgpasswd.patch:
    - Also set the locale to 'C' when using PAM for password changes,
      since the PAM conversation is equally affected by PAM l10n support
      (LP: #139265).

applied/ubuntu/gutsy 2007-10-04 07:03:35 UTC 2007-10-04
Import patches-applied version 3.0.26a-1ubuntu2 to applied/ubuntu/gutsy

Author: Steve Langasek
Author Date: 2007-10-02 20:54:23 UTC

Import patches-applied version 3.0.26a-1ubuntu2 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 168e319ca3e581b16e8e1d7450c2e954e3fa83f0
Unapplied parent: ed6073c982a3137199449b813d54075077fcffc5

New changelog entries:
  * debian/patches/chgpasswd.patch:
    - Also set the locale to 'C' when using PAM for password changes,
      since the PAM conversation is equally affected by PAM l10n support
      (LP: #139265).

ubuntu/feisty 2007-02-07 06:03:16 UTC 2007-02-07
Import patches-unapplied version 3.0.24-2ubuntu1 to ubuntu/feisty

Author: Kees Cook
Author Date: 2007-02-07 04:58:01 UTC

Import patches-unapplied version 3.0.24-2ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 5cda2badf0091c51e231eb2440898cdab4ba84f1

New changelog entries:
  * Merge from debian unstable, remaining changes:
    * debian/smb.conf:
      - Do not show the version number by default
      - Comment out the default [homes] shares and add more verbose comments to
        explain what they do and how they work (closes: launchpad.net/27608)
      - Add a "valid users = %S" stanza to the commented-out [homes] section,
        to show users how to restrict access to \\server\username to only
        username.
      - Change the (commented-out) "printer admin" example to use "@lpadmin"
        instead of "@ntadmin", since the lpadmin group is used for spool admin.
    * debian/panic-action:
      - Alter the panic-action script to encourage users to report their
        bugs in Ubuntu packages to Ubuntu, rather than reporting to Debian.
        Modify text to more closely match the Debian script
    * debian/samba-common.templates:
      - Set default workgroup to MSHOME
    * debian/control:
      - remove typehandling
      - add update-inetd to Depends
    * debian/patches/VERSION.patch:
      - set SAMBA_VERSION_VENDOR_SUFFIX to Ubuntu
    * debian/samba-common.config:
      - do not change priority to HIGH if dhclient3 is installed
    * debian/samba.init:
      - use of PIDDIR instead of hardcoding it
      - Munge our init script to deal with the fact that our implementation
        (or lack thereof) of log_daemon_msg and log_progress_msg differs
        from Debian's implementation of the same (Ubuntu #19691)
    * debian/rules:
      - remove type-handling
      - properly clean on make clean
      - do not install mount.cifs and umount.cifs as suid
    * debian/patches/ubuntu-auxsrc.patch:
      - some auxilliary sources (undocumented in previous changelogs)
    * Really drop debian/patches/ubuntu-fix-ldap.patch:
      - Fixed upstream, see Debian #274155
  * Re-upload with a proper .orig.tar.gz.
  * New upstream release, security update
  * Fixes for the following security advisories:
    - Directly affecting Debian:
      - CVE-2007-0452 (Potential Denial of Service bug in smbd)
    - Not affecting Debian:
      - CVE-2007-0453 (Buffer overrun in NSS host lookup Winbind
        NSS library on Solaris)
      - CVE-2007-0454 (Format string bug in afsacl.so VFS plugin)
  * Correct paths for the documentation pointers in the default smb.conf
    file. Thanks to Ted Percival for his care reporting this. Closes: #408898
  * Debconf translation updates:
    - Slovenian added.
  * Debconf translation updates:
    - Malayalam added. Closes: #403107
    - Tamil added. Closes: #403353

applied/ubuntu/feisty 2007-02-07 06:03:16 UTC 2007-02-07
Import patches-applied version 3.0.24-2ubuntu1 to applied/ubuntu/feisty

Author: Kees Cook
Author Date: 2007-02-07 04:58:01 UTC

Import patches-applied version 3.0.24-2ubuntu1 to applied/ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 94349892928bcec871f8d9633c9428787e7766ac
Unapplied parent: 0991b6b17c9e871f421fac85966c10e7b14d39ef

New changelog entries:
  * Merge from debian unstable, remaining changes:
    * debian/smb.conf:
      - Do not show the version number by default
      - Comment out the default [homes] shares and add more verbose comments to
        explain what they do and how they work (closes: launchpad.net/27608)
      - Add a "valid users = %S" stanza to the commented-out [homes] section,
        to show users how to restrict access to \\server\username to only
        username.
      - Change the (commented-out) "printer admin" example to use "@lpadmin"
        instead of "@ntadmin", since the lpadmin group is used for spool admin.
    * debian/panic-action:
      - Alter the panic-action script to encourage users to report their
        bugs in Ubuntu packages to Ubuntu, rather than reporting to Debian.
        Modify text to more closely match the Debian script
    * debian/samba-common.templates:
      - Set default workgroup to MSHOME
    * debian/control:
      - remove typehandling
      - add update-inetd to Depends
    * debian/patches/VERSION.patch:
      - set SAMBA_VERSION_VENDOR_SUFFIX to Ubuntu
    * debian/samba-common.config:
      - do not change priority to HIGH if dhclient3 is installed
    * debian/samba.init:
      - use of PIDDIR instead of hardcoding it
      - Munge our init script to deal with the fact that our implementation
        (or lack thereof) of log_daemon_msg and log_progress_msg differs
        from Debian's implementation of the same (Ubuntu #19691)
    * debian/rules:
      - remove type-handling
      - properly clean on make clean
      - do not install mount.cifs and umount.cifs as suid
    * debian/patches/ubuntu-auxsrc.patch:
      - some auxilliary sources (undocumented in previous changelogs)
    * Really drop debian/patches/ubuntu-fix-ldap.patch:
      - Fixed upstream, see Debian #274155
  * Re-upload with a proper .orig.tar.gz.
  * New upstream release, security update
  * Fixes for the following security advisories:
    - Directly affecting Debian:
      - CVE-2007-0452 (Potential Denial of Service bug in smbd)
    - Not affecting Debian:
      - CVE-2007-0453 (Buffer overrun in NSS host lookup Winbind
        NSS library on Solaris)
      - CVE-2007-0454 (Format string bug in afsacl.so VFS plugin)
  * Correct paths for the documentation pointers in the default smb.conf
    file. Thanks to Ted Percival for his care reporting this. Closes: #408898
  * Debconf translation updates:
    - Slovenian added.
  * Debconf translation updates:
    - Malayalam added. Closes: #403107
    - Tamil added. Closes: #403353

applied/ubuntu/breezy-security 2007-02-06 18:05:25 UTC 2007-02-06
Import patches-applied version 3.0.14a-6ubuntu1.2 to applied/ubuntu/breezy-se...

Author: Kees Cook
Author Date: 2007-02-05 23:55:29 UTC

Import patches-applied version 3.0.14a-6ubuntu1.2 to applied/ubuntu/breezy-security

Imported using git-ubuntu import.

Changelog parent: aa6e58b361cb69039bde0aa9e527767b04e91081
Unapplied parent: 63e95fa1d0ec7116cf39cec59882fc37ae6d7f11

New changelog entries:
  * SECURITY UPDATE: priv escalation via crafted AFS share filenames,
    denial of service when renaming a file in deferred open queue.
  * Add 'debian/patches/security-defer-dos.patch': fix infinite loop,
    taken from Debian patch.
    - CVE-2007-0452
  * Add 'debian/patches/security-CVE-2007-0454.patch': fix format string
    overflow, taken from Debian patch.
    - CVE-2007-0454

applied/ubuntu/breezy-devel 2007-02-06 18:05:25 UTC 2007-02-06
Import patches-applied version 3.0.14a-6ubuntu1.2 to applied/ubuntu/breezy-se...

Author: Kees Cook
Author Date: 2007-02-05 23:55:29 UTC

Import patches-applied version 3.0.14a-6ubuntu1.2 to applied/ubuntu/breezy-security

Imported using git-ubuntu import.

Changelog parent: aa6e58b361cb69039bde0aa9e527767b04e91081
Unapplied parent: 63e95fa1d0ec7116cf39cec59882fc37ae6d7f11

New changelog entries:
  * SECURITY UPDATE: priv escalation via crafted AFS share filenames,
    denial of service when renaming a file in deferred open queue.
  * Add 'debian/patches/security-defer-dos.patch': fix infinite loop,
    taken from Debian patch.
    - CVE-2007-0452
  * Add 'debian/patches/security-CVE-2007-0454.patch': fix format string
    overflow, taken from Debian patch.
    - CVE-2007-0454

ubuntu/breezy-security 2007-02-06 18:05:25 UTC 2007-02-06
Import patches-unapplied version 3.0.14a-6ubuntu1.2 to ubuntu/breezy-security

Author: Kees Cook
Author Date: 2007-02-05 23:55:29 UTC

Import patches-unapplied version 3.0.14a-6ubuntu1.2 to ubuntu/breezy-security

Imported using git-ubuntu import.

Changelog parent: 94cbb715810b98a815c07936cc1398061a0cc8b1

New changelog entries:
  * SECURITY UPDATE: priv escalation via crafted AFS share filenames,
    denial of service when renaming a file in deferred open queue.
  * Add 'debian/patches/security-defer-dos.patch': fix infinite loop,
    taken from Debian patch.
    - CVE-2007-0452
  * Add 'debian/patches/security-CVE-2007-0454.patch': fix format string
    overflow, taken from Debian patch.
    - CVE-2007-0454

ubuntu/breezy-devel 2007-02-06 18:05:25 UTC 2007-02-06
Import patches-unapplied version 3.0.14a-6ubuntu1.2 to ubuntu/breezy-security

Author: Kees Cook
Author Date: 2007-02-05 23:55:29 UTC

Import patches-unapplied version 3.0.14a-6ubuntu1.2 to ubuntu/breezy-security

Imported using git-ubuntu import.

Changelog parent: 94cbb715810b98a815c07936cc1398061a0cc8b1

New changelog entries:
  * SECURITY UPDATE: priv escalation via crafted AFS share filenames,
    denial of service when renaming a file in deferred open queue.
  * Add 'debian/patches/security-defer-dos.patch': fix infinite loop,
    taken from Debian patch.
    - CVE-2007-0452
  * Add 'debian/patches/security-CVE-2007-0454.patch': fix format string
    overflow, taken from Debian patch.
    - CVE-2007-0454

applied/ubuntu/hoary-devel 2006-07-12 14:46:37 UTC 2006-07-12
Import patches-applied version 3.0.10-1ubuntu3.1 to applied/ubuntu/hoary-secu...

Author: Martin Pitt
Author Date: 2006-07-11 10:06:15 UTC

Import patches-applied version 3.0.10-1ubuntu3.1 to applied/ubuntu/hoary-security

Imported using git-ubuntu import.

Changelog parent: 940857976f9a56a94b1c02c139162b13b850a47f
Unapplied parent: 247f252e632f62d7917be60b2835360bd0c99f4e

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

ubuntu/hoary-devel 2006-07-12 14:46:37 UTC 2006-07-12
Import patches-unapplied version 3.0.10-1ubuntu3.1 to ubuntu/hoary-security

Author: Martin Pitt
Author Date: 2006-07-11 10:06:15 UTC

Import patches-unapplied version 3.0.10-1ubuntu3.1 to ubuntu/hoary-security

Imported using git-ubuntu import.

Changelog parent: 897afd7e62bc7382437b78d08f348049d3832bae

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

ubuntu/hoary-security 2006-07-12 14:46:37 UTC 2006-07-12
Import patches-unapplied version 3.0.10-1ubuntu3.1 to ubuntu/hoary-security

Author: Martin Pitt
Author Date: 2006-07-11 10:06:15 UTC

Import patches-unapplied version 3.0.10-1ubuntu3.1 to ubuntu/hoary-security

Imported using git-ubuntu import.

Changelog parent: 897afd7e62bc7382437b78d08f348049d3832bae

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

applied/ubuntu/hoary-security 2006-07-12 14:46:37 UTC 2006-07-12
Import patches-applied version 3.0.10-1ubuntu3.1 to applied/ubuntu/hoary-secu...

Author: Martin Pitt
Author Date: 2006-07-11 10:06:15 UTC

Import patches-applied version 3.0.10-1ubuntu3.1 to applied/ubuntu/hoary-security

Imported using git-ubuntu import.

Changelog parent: 940857976f9a56a94b1c02c139162b13b850a47f
Unapplied parent: 247f252e632f62d7917be60b2835360bd0c99f4e

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

applied/ubuntu/edgy 2006-07-11 12:08:05 UTC 2006-07-11
Import patches-applied version 3.0.22-1ubuntu4 to applied/ubuntu/edgy

Author: Martin Pitt
Author Date: 2006-07-11 11:14:27 UTC

Import patches-applied version 3.0.22-1ubuntu4 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 58a0fd262bc51233e9692d929506b1b0e7a508a5
Unapplied parent: 9f53a5d00b2159552c1f9ce99fc63c90594cb6b3

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

ubuntu/edgy 2006-07-11 12:08:05 UTC 2006-07-11
Import patches-unapplied version 3.0.22-1ubuntu4 to ubuntu/edgy

Author: Martin Pitt
Author Date: 2006-07-11 11:14:27 UTC

Import patches-unapplied version 3.0.22-1ubuntu4 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 6e1787bce0795cbf638a9287ce5865499eeb10bf

New changelog entries:
  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/track_connection_dos.patch:
    - Limit active connections to 2048 to avoid DoS due to unbound array
      growing when tracking active connections.
    - CVE-2006-3403

applied/ubuntu/dapper 2006-05-17 09:06:54 UTC 2006-05-17
Import patches-applied version 3.0.22-1ubuntu3 to applied/ubuntu/dapper

Author: Adam Conrad
Author Date: 2006-05-17 08:29:00 UTC

Import patches-applied version 3.0.22-1ubuntu3 to applied/ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: 75a93cc5eabb18279c8458a66009d116614e3510
Unapplied parent: 6e1787bce0795cbf638a9287ce5865499eeb10bf

New changelog entries:
  * Config file changes only in this upload; no destabilising code changes.
  * Comment out the default [homes] shares and add more verbose comments to
    explain what they do and how they work (closes: launchpad.net/27608)
  * Add a "valid users = %S" stanza to the commented-out [homes] section, to
    show users how to restrict access to \\server\username to only username.
  * Change the (commented-out) "printer admin" example to use "@lpadmin"
    instead of "@ntadmin", since the lpadmin group is used for spool admin.

ubuntu/dapper 2006-05-17 09:06:54 UTC 2006-05-17
Import patches-unapplied version 3.0.22-1ubuntu3 to ubuntu/dapper

Author: Adam Conrad
Author Date: 2006-05-17 08:29:00 UTC

Import patches-unapplied version 3.0.22-1ubuntu3 to ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: 006e32bf37f2f090e5681ebc354557b625a77e68

New changelog entries:
  * Config file changes only in this upload; no destabilising code changes.
  * Comment out the default [homes] shares and add more verbose comments to
    explain what they do and how they work (closes: launchpad.net/27608)
  * Add a "valid users = %S" stanza to the commented-out [homes] section, to
    show users how to restrict access to \\server\username to only username.
  * Change the (commented-out) "printer admin" example to use "@lpadmin"
    instead of "@ntadmin", since the lpadmin group is used for spool admin.

applied/ubuntu/breezy 2005-12-21 05:54:57 UTC 2005-12-21
Import patches-applied version 3.0.14a-6ubuntu1 to applied/ubuntu/breezy

Author: Adam Conrad
Author Date: 2005-07-21 17:53:23 UTC

Import patches-applied version 3.0.14a-6ubuntu1 to applied/ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 940857976f9a56a94b1c02c139162b13b850a47f
Unapplied parent: 4336e2df0e1de65372bf353de5c43402f98180fc

New changelog entries:
  * Resynchronise with Debian, resolving merge conflicts (#12360)
  * Use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM to detect
    Linux in debian/rules, for compatibility with dpkg-dev >= 1.13.9;
    add a versioned build-depend accordingly. Closes: #315955
  * Switch to libreadline5.
  * Resynchronise with Debian (closes Ubuntu bugs #11662 and #3134)
  * Add --oknodo to the start-stop-daemon call in our init script, so we
    don't fail when trying to start an already started service (#11600)
  * Fix libsmbclient.a to be built as non-PIC instead of PIC.
    Closes: #279243.
  * Resynchronise with Debian, resolving merge conflicts.
  * Last-minute upload for sarge, because I don't listen to anything
    that RM guy says
  * Patch smbmount to strip CAP_UNIX out of the capabilities passed to
    the kernel when uid, gid, dmask, or fmask options have been
    specified; this keeps the mount permissions from changing out from
    under the user when upgrading to a server (or to a kernel) that
    supports unix extensions. Closes: #310982.
  * Second patch to smbclient search continuation logic, from upstream:
    preserve the original UCS2 filename to guard against lossy
    conversions, and break out if we find ourselves looping.
    Closes: #311157.
  * Upstream fix to make print job cancellations work on big-endian
    systems when talking to RAP-style clients (i.e., smbclient).
    Closes: #311213.
  * Add build-dependency on libpopt-dev, so that we consistently use the
    system popt lib instead of the bundled one.
  * Use -g instead of -gstabs on powerpc64-linux-gnu and ia64-linux-gnu,
    which should finally fix that pesky ia64 build failure.
  * Reverse the sense of LaMont's dpkg-architecture patch to minimise
    our diff against upstream and get us building on ia64 again.
  * Resynchronise with Debian (Ubuntu #10966)
  * Give winbind a dependency on samba-common (Ubuntu #9156)
  * Urgency set to high for a bug that makes smbclient/libsmbclient
    /almost/ mostly unusable
  * Fix smbclient's search continuation logic so that it works correctly
    against 2K servers offering VFAT-hosted shares; many thanks to
    Jeremy Allison for the timely upstream fix. Closes: #309798.
  * Update pt_BR debconf translation. Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #308510)
  * Add Russian debconf translation, thanks to Yuriy Talakan
    <yt@amur.elektra.ru>. (closes: #310063)
  * Point the sense of the file_is_special() check right way around;
    thanks to Matthijs Mohlmann for catching this. Closes: #305747.
  * debian/patches/dos7-xcopy-always-copies-files.patch:
    Fix the MS-DOS 7 XCOPY copying files over and over bug
    Closes: #309003
  * Steve Langasek <vorlon@debian.org>:
    - Add Christian Perrier to Uploaders:. Thanks, Christian :)
  * dpkg changes cleanup.
  * Resynchronise with Debian; fixing merge conflicts.
  * Drop patches/gcc4-fix.patch, which was fixed differently upstream.
  * Remove patches/krb.patch, which was integrated upstream.
  * Drop patches/samba-client-no-auto-anon.patch, included upstream.
  * Disable the use of type-handling, which we don't ship in main.
  * New upstream version
    - A more complete upstream fix for missing files in file listings,
      should really give us working (closes: #302771); drop
      xp-missing-files.patch, which has been superseded.
  * Use the right path when removing mount.cifs binary in the clean
    target. Closes: #303318.
  * New upstream version
    - Fixes duplicated entry in swat(8) manpage (closes: #292957).
    - Fix queue handling so that processes serving print clients don't
      spin off into infinity and clobber the system (closes: #274969).
    - Make sure we use C-locale toupper/tolower functions for case
      conversion, since Turkish pairing rules are incompatible
      (closes: #286174).
  * Fix logrotate script to exit true instead of false when nmbd.pid is
    missing (closes: #287263).
  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo
    <elmig@debianpt.org>. (closes: #286375)
  * Added Italian debconf translation. Thanks to Luca Monducci
    <luca.mo@tiscali.it>. (closes: #284125)
  * Add support for building on the Debian BSD and Hurd ports; thanks to
    Robert Millan for the patch. (closes: #266693)
  * debian/patches/xp-missing-files.patch: import patch from upstream to
    fix missing entries in directory listings when talking to WinXP
    servers (closes: #297771).
  * debian/patches/gcc4-fix.patch: Fix FTBFS with gcc 4.0. (#9047)

ubuntu/breezy 2005-12-21 05:54:57 UTC 2005-12-21
Import patches-unapplied version 3.0.14a-6ubuntu1 to ubuntu/breezy

Author: Adam Conrad
Author Date: 2005-07-21 17:53:23 UTC

Import patches-unapplied version 3.0.14a-6ubuntu1 to ubuntu/breezy

Imported using git-ubuntu import.

Changelog parent: 897afd7e62bc7382437b78d08f348049d3832bae

New changelog entries:
  * Resynchronise with Debian, resolving merge conflicts (#12360)
  * Use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM to detect
    Linux in debian/rules, for compatibility with dpkg-dev >= 1.13.9;
    add a versioned build-depend accordingly. Closes: #315955
  * Switch to libreadline5.
  * Resynchronise with Debian (closes Ubuntu bugs #11662 and #3134)
  * Add --oknodo to the start-stop-daemon call in our init script, so we
    don't fail when trying to start an already started service (#11600)
  * Fix libsmbclient.a to be built as non-PIC instead of PIC.
    Closes: #279243.
  * Resynchronise with Debian, resolving merge conflicts.
  * Last-minute upload for sarge, because I don't listen to anything
    that RM guy says
  * Patch smbmount to strip CAP_UNIX out of the capabilities passed to
    the kernel when uid, gid, dmask, or fmask options have been
    specified; this keeps the mount permissions from changing out from
    under the user when upgrading to a server (or to a kernel) that
    supports unix extensions. Closes: #310982.
  * Second patch to smbclient search continuation logic, from upstream:
    preserve the original UCS2 filename to guard against lossy
    conversions, and break out if we find ourselves looping.
    Closes: #311157.
  * Upstream fix to make print job cancellations work on big-endian
    systems when talking to RAP-style clients (i.e., smbclient).
    Closes: #311213.
  * Add build-dependency on libpopt-dev, so that we consistently use the
    system popt lib instead of the bundled one.
  * Use -g instead of -gstabs on powerpc64-linux-gnu and ia64-linux-gnu,
    which should finally fix that pesky ia64 build failure.
  * Reverse the sense of LaMont's dpkg-architecture patch to minimise
    our diff against upstream and get us building on ia64 again.
  * Resynchronise with Debian (Ubuntu #10966)
  * Give winbind a dependency on samba-common (Ubuntu #9156)
  * Urgency set to high for a bug that makes smbclient/libsmbclient
    /almost/ mostly unusable
  * Fix smbclient's search continuation logic so that it works correctly
    against 2K servers offering VFAT-hosted shares; many thanks to
    Jeremy Allison for the timely upstream fix. Closes: #309798.
  * Update pt_BR debconf translation. Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #308510)
  * Add Russian debconf translation, thanks to Yuriy Talakan
    <yt@amur.elektra.ru>. (closes: #310063)
  * Point the sense of the file_is_special() check right way around;
    thanks to Matthijs Mohlmann for catching this. Closes: #305747.
  * debian/patches/dos7-xcopy-always-copies-files.patch:
    Fix the MS-DOS 7 XCOPY copying files over and over bug
    Closes: #309003
  * Steve Langasek <vorlon@debian.org>:
    - Add Christian Perrier to Uploaders:. Thanks, Christian :)
  * dpkg changes cleanup.
  * Resynchronise with Debian; fixing merge conflicts.
  * Drop patches/gcc4-fix.patch, which was fixed differently upstream.
  * Remove patches/krb.patch, which was integrated upstream.
  * Drop patches/samba-client-no-auto-anon.patch, included upstream.
  * Disable the use of type-handling, which we don't ship in main.
  * New upstream version
    - A more complete upstream fix for missing files in file listings,
      should really give us working (closes: #302771); drop
      xp-missing-files.patch, which has been superseded.
  * Use the right path when removing mount.cifs binary in the clean
    target. Closes: #303318.
  * New upstream version
    - Fixes duplicated entry in swat(8) manpage (closes: #292957).
    - Fix queue handling so that processes serving print clients don't
      spin off into infinity and clobber the system (closes: #274969).
    - Make sure we use C-locale toupper/tolower functions for case
      conversion, since Turkish pairing rules are incompatible
      (closes: #286174).
  * Fix logrotate script to exit true instead of false when nmbd.pid is
    missing (closes: #287263).
  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo
    <elmig@debianpt.org>. (closes: #286375)
  * Added Italian debconf translation. Thanks to Luca Monducci
    <luca.mo@tiscali.it>. (closes: #284125)
  * Add support for building on the Debian BSD and Hurd ports; thanks to
    Robert Millan for the patch. (closes: #266693)
  * debian/patches/xp-missing-files.patch: import patch from upstream to
    fix missing entries in directory listings when talking to WinXP
    servers (closes: #297771).
  * debian/patches/gcc4-fix.patch: Fix FTBFS with gcc 4.0. (#9047)

ubuntu/hoary 2005-12-20 21:46:05 UTC 2005-12-20
Import patches-unapplied version 3.0.10-1ubuntu3 to ubuntu/hoary

Author: Sebastien Bacher
Author Date: 2005-03-22 11:43:19 UTC

Import patches-unapplied version 3.0.10-1ubuntu3 to ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 11f7cfd6abe99e04dcefe89442d50c4093933edb

New changelog entries:
  * debian/patches/krb.patch:
    - patch to use kerberos by default if the authentication succeeds,
      but fall back to the normal methods if not.
      Fix the kerberos support for gnomevfs (Hoary: #7357).
  * debian/patches/samba-client-no-auto-anon.patch:
    - propogate an error back to the caller, instead of automatic Guest login
      (Hoary: #5425).
  * Merged new Debian version
  * Dropped patch ubuntu-debconfpo.patch, it did not actually change anything
  * Since the debian/ directory now contains Ubuntu specific changes anyway,
    the following Ubuntu specific patches which only touched debian/ were
    statically applied and deleted; this will make manual merges much harder,
    but is apparently what my fellow developers like to have:
    + ubuntu-debconf-dhcp3.patch
    + ubuntu-defaultworkgroup.patch
    + ubuntu-lsbinit.patch
    + ubuntu-smbmount-nosuid.patch
    + ubuntu-branding.patch (only the debian/ parts; dropped unnecessary
      version.h patch)
  * New upstream release.
    - CAN-2004-1154: integer overflow can lead to remote code execution
      by authenticated users; closes: #286023.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Sync the fhs.patch to samba 3.0.10.
  * Install mount.cifs suid root, to make user mounts possible
    (closes: #283819).
  * debian/patches/cups.patch: Change the default printing system, so we
    can compile in CUPS support without making it the default -- CUPS is
    not a reasonable default on Debian, at least for sarge.
  * Build python2.4-samba package.
  * Resynchronise with Debian.
  * Resynchronise with Debian.
  * New upstream release
    - Fixes Win9x printing; closes: #283530, #282571, #283818.
    - Fixes a problem with setting dosmodes on filesystems without ACL
      support; closes: #283661.
    - Drop ldapsam_compat.patch, redundant now that a fix is integrated
      upstream
  * Fix the module paths for python2.3-samba so that "import foo from samba"
    works, and include the __init__.py glue; closes: #222867).
  * Enable quota support; closes: #246839.
  * Fix missing symbols in libsmbclient (and libnss_wins), and add
    -Wl,-z,defs to the libsmbclient link options to prevent future
    instances of undefined symbols (closes: #281181).
  * Fix for the legacy ldapsam_compat backend; thanks to Fabien
    Chevalier for the patch (closes: #274155).
  * SECURITY UPDATE: new upstream version fixes CAN-2004-0882 (QFILEPATHINFO
    unicode filename buffer overflow).
  * Manual merge with the Debian version.
  * Reorganized the Ubuntu changes as proper patches prefixed with ubuntu- to
    ease further merges:
    - ubuntu-auxsrc: some auxilliary sources (undocumented in previous
      changelogs)
    - ubuntu-branding: put "Ubuntu" everywhere :-)
    - ubuntu-debconf-dhcp3: undocumented debconf magic
    - ubuntu-debconfpo: updated da, tr, pt_br debconf translations
    - ubuntu-defaultworkgroup: set debconf default workgroup to "MSHOME"
    - ubuntu-fix-ldap: fix LDAP backend, see Ubuntu #1905, Debian #274155
    - ubuntu-lsbinit: nice init scripts
    - ubuntu-smbmount-nosuid: don't install smbmount and smbumount suid root
  * All other patches have been adopted by Debian/Upstream.
  * New upstream package. Urgency set to "high" because of a potential
    Denial of Service vulnerability in previous 3.0.x releases
    (CAN-2004-0930). (Eloy)
  * Introduce new -dbg package, so we can make better sense out of the
    cleverly-supplied backtrace emails. (Vorlon)
  * Applied patch from Luke Mewburn <luke@mewburn.net> to fix missing
    lock_path() to state_path() change in the FHS patches. (Eloy)
  * Resynchronise with Debian.
  * Deleted source/autom4te.cache/ to clean up the debian diff.gz.
  * High-urgency upload for sarge-targetted RC fixes.
  * Use autogen.sh in unpatch-source as well as in patch-source, to get
    rid of the autom4te.cache cruft.
  * debian/patches/make-distclean.patch: add some missing files to the
    distclean target in source/Makefile.in (mostly-fixes: #276203).
  * Change compile-time default of 'use sendfile' to 'no', since the
    current Samba implementation is broken (closes: #261917, #275741,
    #270175).
  * Add mount.cifs into the smbfs package; thanks to Igor Belyi for
    showing us just how simple this patch should be. ;) Since cifs is
    the preferred kernel driver in 2.6, bugs related to smbfs and 2.6
    are considered closed unless someone can show that they exist with
    the cifs driver as well (closes: #249890, #269443, #227791, #236869,
    #260707, #261808, #270175).
  * Fix FHS migration code so that it only affects upgrades from old
    package versions, and doesn't cause us to mess with non-standard
    directories that may have been re-added by the admin
   (closes: #251858).
  * SECURITY UPDATE for Hoary. See previous changelog.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

applied/ubuntu/hoary 2005-12-20 21:46:05 UTC 2005-12-20
Import patches-applied version 3.0.10-1ubuntu3 to applied/ubuntu/hoary

Author: Sebastien Bacher
Author Date: 2005-03-22 11:43:19 UTC

Import patches-applied version 3.0.10-1ubuntu3 to applied/ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 6ad60699eb0b3b2368d7326a2a3a6ee45e1384f7
Unapplied parent: 897afd7e62bc7382437b78d08f348049d3832bae

New changelog entries:
  * debian/patches/krb.patch:
    - patch to use kerberos by default if the authentication succeeds,
      but fall back to the normal methods if not.
      Fix the kerberos support for gnomevfs (Hoary: #7357).
  * debian/patches/samba-client-no-auto-anon.patch:
    - propogate an error back to the caller, instead of automatic Guest login
      (Hoary: #5425).
  * Merged new Debian version
  * Dropped patch ubuntu-debconfpo.patch, it did not actually change anything
  * Since the debian/ directory now contains Ubuntu specific changes anyway,
    the following Ubuntu specific patches which only touched debian/ were
    statically applied and deleted; this will make manual merges much harder,
    but is apparently what my fellow developers like to have:
    + ubuntu-debconf-dhcp3.patch
    + ubuntu-defaultworkgroup.patch
    + ubuntu-lsbinit.patch
    + ubuntu-smbmount-nosuid.patch
    + ubuntu-branding.patch (only the debian/ parts; dropped unnecessary
      version.h patch)
  * New upstream release.
    - CAN-2004-1154: integer overflow can lead to remote code execution
      by authenticated users; closes: #286023.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Sync the fhs.patch to samba 3.0.10.
  * Install mount.cifs suid root, to make user mounts possible
    (closes: #283819).
  * debian/patches/cups.patch: Change the default printing system, so we
    can compile in CUPS support without making it the default -- CUPS is
    not a reasonable default on Debian, at least for sarge.
  * Build python2.4-samba package.
  * Resynchronise with Debian.
  * Resynchronise with Debian.
  * New upstream release
    - Fixes Win9x printing; closes: #283530, #282571, #283818.
    - Fixes a problem with setting dosmodes on filesystems without ACL
      support; closes: #283661.
    - Drop ldapsam_compat.patch, redundant now that a fix is integrated
      upstream
  * Fix the module paths for python2.3-samba so that "import foo from samba"
    works, and include the __init__.py glue; closes: #222867).
  * Enable quota support; closes: #246839.
  * Fix missing symbols in libsmbclient (and libnss_wins), and add
    -Wl,-z,defs to the libsmbclient link options to prevent future
    instances of undefined symbols (closes: #281181).
  * Fix for the legacy ldapsam_compat backend; thanks to Fabien
    Chevalier for the patch (closes: #274155).
  * SECURITY UPDATE: new upstream version fixes CAN-2004-0882 (QFILEPATHINFO
    unicode filename buffer overflow).
  * Manual merge with the Debian version.
  * Reorganized the Ubuntu changes as proper patches prefixed with ubuntu- to
    ease further merges:
    - ubuntu-auxsrc: some auxilliary sources (undocumented in previous
      changelogs)
    - ubuntu-branding: put "Ubuntu" everywhere :-)
    - ubuntu-debconf-dhcp3: undocumented debconf magic
    - ubuntu-debconfpo: updated da, tr, pt_br debconf translations
    - ubuntu-defaultworkgroup: set debconf default workgroup to "MSHOME"
    - ubuntu-fix-ldap: fix LDAP backend, see Ubuntu #1905, Debian #274155
    - ubuntu-lsbinit: nice init scripts
    - ubuntu-smbmount-nosuid: don't install smbmount and smbumount suid root
  * All other patches have been adopted by Debian/Upstream.
  * New upstream package. Urgency set to "high" because of a potential
    Denial of Service vulnerability in previous 3.0.x releases
    (CAN-2004-0930). (Eloy)
  * Introduce new -dbg package, so we can make better sense out of the
    cleverly-supplied backtrace emails. (Vorlon)
  * Applied patch from Luke Mewburn <luke@mewburn.net> to fix missing
    lock_path() to state_path() change in the FHS patches. (Eloy)
  * Resynchronise with Debian.
  * Deleted source/autom4te.cache/ to clean up the debian diff.gz.
  * High-urgency upload for sarge-targetted RC fixes.
  * Use autogen.sh in unpatch-source as well as in patch-source, to get
    rid of the autom4te.cache cruft.
  * debian/patches/make-distclean.patch: add some missing files to the
    distclean target in source/Makefile.in (mostly-fixes: #276203).
  * Change compile-time default of 'use sendfile' to 'no', since the
    current Samba implementation is broken (closes: #261917, #275741,
    #270175).
  * Add mount.cifs into the smbfs package; thanks to Igor Belyi for
    showing us just how simple this patch should be. ;) Since cifs is
    the preferred kernel driver in 2.6, bugs related to smbfs and 2.6
    are considered closed unless someone can show that they exist with
    the cifs driver as well (closes: #249890, #269443, #227791, #236869,
    #260707, #261808, #270175).
  * Fix FHS migration code so that it only affects upgrades from old
    package versions, and doesn't cause us to mess with non-standard
    directories that may have been re-added by the admin
   (closes: #251858).
  * SECURITY UPDATE for Hoary. See previous changelog.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

ubuntu/warty-devel 2005-12-20 20:16:12 UTC 2005-12-20
Import patches-unapplied version 3.0.7-1ubuntu6.3 to ubuntu/warty-security

Author: Martin Pitt
Author Date: 2004-12-17 13:59:44 UTC

Import patches-unapplied version 3.0.7-1ubuntu6.3 to ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: 11f7cfd6abe99e04dcefe89442d50c4093933edb

New changelog entries:
  * SECURITY UPDATE: fix several potential integer and buffer overflows
  * Added patch ubuntu-CAN-2004-1154.patch:
    - introduce wrapper macros for dangerous functions (malloc(), malloc() for
      arrays, strdup(), etc.) which do safety checking
    - based on official 3.0.9 patch, ported to 3.0.7
  * References:
    CAN-2004-1154
    http://us1.samba.org/samba/security/CAN-2004-1154.html
  * SECURITY UPDATE: QFILEPATHINFO unicode filename buffer overflow.
  * Added patch CAN-2004-0882:
    A remote attacker could execute arbitrary code due to a buffer
    overflow inside the QFILEPATHINFO request handler.
  * References:
    http://security.e-matters.de/advisories/132004.html
    CAN-2004-0882
  * Thanks to Gerardo Di Giacomo <gerardo@linux.it> for his assistance with
    this fix.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

applied/ubuntu/warty-security 2005-12-20 20:16:12 UTC 2005-12-20
Import patches-applied version 3.0.7-1ubuntu6.3 to applied/ubuntu/warty-security

Author: Martin Pitt
Author Date: 2004-12-17 13:59:44 UTC

Import patches-applied version 3.0.7-1ubuntu6.3 to applied/ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: 6ad60699eb0b3b2368d7326a2a3a6ee45e1384f7
Unapplied parent: e296f80516ed79b92bcba81347026400770b39bb

New changelog entries:
  * SECURITY UPDATE: fix several potential integer and buffer overflows
  * Added patch ubuntu-CAN-2004-1154.patch:
    - introduce wrapper macros for dangerous functions (malloc(), malloc() for
      arrays, strdup(), etc.) which do safety checking
    - based on official 3.0.9 patch, ported to 3.0.7
  * References:
    CAN-2004-1154
    http://us1.samba.org/samba/security/CAN-2004-1154.html
  * SECURITY UPDATE: QFILEPATHINFO unicode filename buffer overflow.
  * Added patch CAN-2004-0882:
    A remote attacker could execute arbitrary code due to a buffer
    overflow inside the QFILEPATHINFO request handler.
  * References:
    http://security.e-matters.de/advisories/132004.html
    CAN-2004-0882
  * Thanks to Gerardo Di Giacomo <gerardo@linux.it> for his assistance with
    this fix.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

ubuntu/warty-security 2005-12-20 20:16:12 UTC 2005-12-20
Import patches-unapplied version 3.0.7-1ubuntu6.3 to ubuntu/warty-security

Author: Martin Pitt
Author Date: 2004-12-17 13:59:44 UTC

Import patches-unapplied version 3.0.7-1ubuntu6.3 to ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: 11f7cfd6abe99e04dcefe89442d50c4093933edb

New changelog entries:
  * SECURITY UPDATE: fix several potential integer and buffer overflows
  * Added patch ubuntu-CAN-2004-1154.patch:
    - introduce wrapper macros for dangerous functions (malloc(), malloc() for
      arrays, strdup(), etc.) which do safety checking
    - based on official 3.0.9 patch, ported to 3.0.7
  * References:
    CAN-2004-1154
    http://us1.samba.org/samba/security/CAN-2004-1154.html
  * SECURITY UPDATE: QFILEPATHINFO unicode filename buffer overflow.
  * Added patch CAN-2004-0882:
    A remote attacker could execute arbitrary code due to a buffer
    overflow inside the QFILEPATHINFO request handler.
  * References:
    http://security.e-matters.de/advisories/132004.html
    CAN-2004-0882
  * Thanks to Gerardo Di Giacomo <gerardo@linux.it> for his assistance with
    this fix.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

applied/ubuntu/warty-devel 2005-12-20 20:16:12 UTC 2005-12-20
Import patches-applied version 3.0.7-1ubuntu6.3 to applied/ubuntu/warty-security

Author: Martin Pitt
Author Date: 2004-12-17 13:59:44 UTC

Import patches-applied version 3.0.7-1ubuntu6.3 to applied/ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: 6ad60699eb0b3b2368d7326a2a3a6ee45e1384f7
Unapplied parent: e296f80516ed79b92bcba81347026400770b39bb

New changelog entries:
  * SECURITY UPDATE: fix several potential integer and buffer overflows
  * Added patch ubuntu-CAN-2004-1154.patch:
    - introduce wrapper macros for dangerous functions (malloc(), malloc() for
      arrays, strdup(), etc.) which do safety checking
    - based on official 3.0.9 patch, ported to 3.0.7
  * References:
    CAN-2004-1154
    http://us1.samba.org/samba/security/CAN-2004-1154.html
  * SECURITY UPDATE: QFILEPATHINFO unicode filename buffer overflow.
  * Added patch CAN-2004-0882:
    A remote attacker could execute arbitrary code due to a buffer
    overflow inside the QFILEPATHINFO request handler.
  * References:
    http://security.e-matters.de/advisories/132004.html
    CAN-2004-0882
  * Thanks to Gerardo Di Giacomo <gerardo@linux.it> for his assistance with
    this fix.
  * SECURITY UPDATE: fix potential remote Denial of Service
  * Added patch CAN-2004-0930:
    A remote attacker could cause and smbd process to consume abnormal amounts
    of system resources due to an input validation error when matching filenames
    containing wildcard characters.
  * References:
    CAN-2004-0930
    http://www.securityfocus.com/archive/1/380551

applied/ubuntu/warty 2005-12-20 15:47:29 UTC 2005-12-20
Import patches-applied version 3.0.7-1ubuntu6 to applied/ubuntu/warty

Author: Martin Pitt
Author Date: 2004-10-15 10:31:58 UTC

Import patches-applied version 3.0.7-1ubuntu6 to applied/ubuntu/warty

Imported using git-ubuntu import.

Unapplied parent: 11f7cfd6abe99e04dcefe89442d50c4093933edb

ubuntu/warty 2005-12-20 15:47:29 UTC 2005-12-20
Import patches-unapplied version 3.0.7-1ubuntu6 to ubuntu/warty

Author: Martin Pitt
Author Date: 2004-10-15 10:31:58 UTC

Import patches-unapplied version 3.0.7-1ubuntu6 to ubuntu/warty

Imported using git-ubuntu import.

201236 of 236 results

Other repositories

Name Last Modified
lp:ubuntu/+source/samba 12 hours ago
lp:~ahasenack/ubuntu/+source/samba 2019-08-22
lp:~rafaeldtinoco/ubuntu/+source/samba 2019-08-07
lp:~kstenerud/ubuntu/+source/samba 2018-11-28
lp:~paelzer/ubuntu/+source/samba 2018-10-16
lp:~racb/ubuntu/+source/samba 2018-09-26
16 of 6 results
You can't create new repositories for samba in Ubuntu.